Bug 718882 (CVE-2011-2519) - CVE-2011-2519 kernel: xen: x86_emulate: fix SAHF emulation
Summary: CVE-2011-2519 kernel: xen: x86_emulate: fix SAHF emulation
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-2519
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 718883 718884 753008 798935
Blocks: 718879
TreeView+ depends on / blocked
 
Reported: 2011-07-05 01:22 UTC by Eugene Teo (Security Response)
Modified: 2019-09-29 12:45 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-10 08:08:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1212 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-09-06 21:41:35 UTC
Red Hat Product Errata RHSA-2011:1813 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-12-14 02:28:38 UTC

Description Eugene Teo (Security Response) 2011-07-05 01:22:26 UTC
Backport http://xenbits.xen.org/hg/xen-3.1-testing.hg/rev/15644

The patched code would cause a hypervisor crash due to dereferencing a bogus address (in the first 4 MBs of address space, as EFLAGS bits above bit 21 are always 0, but more likely in the first page).

Comment 4 Eugene Teo (Security Response) 2011-07-05 01:49:13 UTC
Statement:

This issue only affects Red Hat Enterprise Linux 5. The versions of the Linux
kernel-xen as shipped with Red Hat Enterprise Linux 4, 6, and Red Hat Enterprise MRG are not affected. This has been addressed in Red Hat Enterprise Linux 5 via https://rhn.redhat.com/errata/RHSA-2011-1212.html.

Comment 9 errata-xmlrpc 2011-09-13 15:44:15 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:1212 https://rhn.redhat.com/errata/RHSA-2011-1212.html

Comment 11 errata-xmlrpc 2011-12-13 21:29:17 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5.6.Z - Server Only

Via RHSA-2011:1813 https://rhn.redhat.com/errata/RHSA-2011-1813.html

Comment 12 Petr Matousek 2012-03-01 10:30:37 UTC
Created xen tracking bugs for this issue

Affects: fedora-all [bug 798935]


Note You need to log in before you can comment on or make changes to this bug.